App Studio Arm Build

206
3
04-17-2019 12:49 PM
MKa
by
Occasional Contributor III

Has something changed with the cloud Arm7 build?  My apps on android seem to crash now when loading a map.  

I have loaded the version i made on monday and the version I made today, using the cloud Arm7.  Both made with the exact same code.  Monday APK works and Today's doesn't.

Please Advise

0 Kudos
3 Replies
nakulmanocha
Esri Regular Contributor

Hi there,

We are currently getting ready for AppStudio 3.3 release (available hopefully tomorrow). The cloud factory has already been updated for AppStudio 3.3 and it supports Runtime 100.5. So I am not sure if that is causing the issue. Could you please test your app within the AppStudio Player 3.3 (beta) which can found in Google play store? If the problem still persists please log an issue with the technical support. 

Note:- You need to join AppStudio Player beta in google play store to download the 3.3 app version otherwise you will get 3.2.

Thanks,

Nakul 

0 Kudos
MKa
by
Occasional Contributor III

Is there anyway I could get the old Cloud Factory to build my code?  I have a local build for the IOS, so that doesn't seem to be a problem, but use your cloud for the Android.  All of my code which was originally created by ESRI also references Runtime 100.1.  Will all of that need to be updated.  I will need some advice on the best way to proceed here.  The code works from old App Studio player on computer and phones (ios/android), but fails on Android sideloaded.  I will try the Beta 3.3 today, but don't know what that gets me? I still need the build.

Please advise

0 Kudos
MKa
by
Occasional Contributor III

I have downloaded the beta 3.3 from the Google Play store and it now fails using AppStudio too, not just the sideloaded version.  This did not do this on the 3.2 version of appstudio that was loaded on this device, it only failed previously on the sideloaded version.  What steps should we take now to get this to work.  I need to get my PROD build out into the field ASAP, and need the old cloud build as this doesn't seem to work any longer.

Please advise me on the next steps you want me to take.

Matt

0 Kudos